#
# spec file for package python-pyvdr
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2020-2021, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-pyvdr
Version:        0.3.1
Release:        1.15
Summary:        Python library for accessing a Linux VDR via SVDRP
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/baschno/pyvdr
Source:         https://github.com/baschno/pyvdr/archive/%{version}.tar.gz#/pyvdr-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Python library for accessing a Linux VDR via SVDRP.

%prep
%setup -q -n pyvdr-%{version}
sed -i -e '/^#!\//, 1d' pyvdr/*.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/pyvdr*

%changelog
* Mon Jun  7 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 0.3.1
  * Bugfix: send_cmd now checks whether offline or not
* Thu Mar 18 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 0.3.0
  * refactored svdrp socket handling.
  * changed behaviour of get_channel_epg_info which now expects
    the channel no as parameter instead of getting the channel
    itself.
* Wed Jul 29 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.2.3
  * Parsing of timers couldn't handle channel numbers > 10
* Fri Jul 10 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.2.2
  Fixes:
  * channel epg info
  * channel up/down controls
* Thu Jul  9 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.2.1
  * Fix Regex for parsing of instant timers
* Fri Mar 13 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.2.0
  * fix for list recordings
  * fix for list timers
  * some incompatible refactoring
* Sun Mar  1 2020 Martin Hauke <mardnh@gmx.de>
- Initial package, version 0.0.0+git.20200112
